function compList = getCalibrationComponentNames(this)
%GETCALIBRATIONCOMPONENTNAMES returns the list of CalPrm-Component names found
%   in the XML files associated with the arxml.importer object.
%   COMPONENTNAMES = GETCALIBRATIONCOMPONENTNAMES(IMPORTER) returns the list of 
%   CalPrm-Component names COMPONENTNAMES found in the XML files associated
%   with the arxml.importer object IMPORTER.
%
%   COMPONENTNAMES is a cell array of strings in which each element is the
%   absolute Short-Name path of the corresponding CalPrm-Component: 
%   '/root_package_name[/sub_package_name]/component_short_name'.
%
%   See also arxml.importer.createCalibrationComponentObjects

%   Copyright 2008 The MathWorks, Inc.

compList = p_getcomponentnames(this, 'calprm');
