function setFile(this, aFilename)
%SETFILE sets the XML file name associated with the arxml.importer object.
%   SETFILE(IMPORTER, FILENAME) sets the XML file name FILENAME associated
%   with the arxml.importer object IMPORTER.
%
%   Note:
%      Only the Atomic-Software-Components described in this XML file 
%      can be imported. 
%
%   See also arxml.importer.getFile arxml.importer.getDependencies
%      arxml.importer.setDependencies

%   Copyright 2007-2008 The MathWorks, Inc.

if ischar(aFilename)
    p_setfile(this, aFilename);

else
    DAStudio.warning('RTW:autosar:badFilename');
end
